KJL - Feature #3129

Approving Document In Logistic (Sales Order)
10/09/2024 02:08 PM - jihad ....

Status: Closed Start date: 10/09/2024
Priority: High Due date: 10/16/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mas Shofwan dan Mba Yoma,
Pada modul logistic yang saat ini ingin digunakan sistem approve by atasan adalah dokumen Sales Order.

Untuk tab nya sudah aku buat:
Document Detail

Term of Payment Other Cost Form Permintaan Sample

© Add | [a] Delete
Approver Sequence  Approver ID
1l o |7|

- Table Name:PTRSALESDOCAPPROVER

Dan Ingin dibuat autoload isi tabel ketika create/create ref dokumen. Untuk tabel parameternya udah aku buat juga dengan table
name PARAMLOGISTICAPPROVER

dan ingin dipaling bawah ada button approve berjumlah sesuai dengan sequence approvernya dan button tersebut hanya bisa di klik

oleh approver. approver a tidakbisa mengeklik button approver b
contoh:

- table approver

1 0001

20002

ketika dibuat dokumen dengan status submit maka akan mengirimkan notifikasi email kepada approver tersebut. email diambil dari
employee masterdatanya

ketika approver membuka dokumen sales tersewbut maka dipaling bawah akan ada button
karna ada 2 sequence approver, berarti ada 2 button

button 1 approver '0001’
button 2 approver '0002'

nantinya approver '0001' hanya bisa klik button 1 tidak bisa klik button 2. begitu juga sebaliknya
Ketika approver 1 dan dua sudah melakukan klik button approve maka otomatis akan mengubah status menjadi Active

Untuk status ada update fungsi dan efeknya juga ya mau minta tolong disetting
Sales Order: Draft User belum selesai membuat dokumen

Submit User Sudah selesai membuat dokumen
dan akan mengirim notifikasi ke
approver untuk dilakukan pengecekan
dan approving

Active Approver sudah melakukan approve
Sales Order dan siap ke tahap DO

Cancel Ketika tidak jadi melanjutkan proses SO

di table PCMBSSALESDOCSTATUS udah aku update juga ya

Tidak mempunyai efek pada stock
*Allocate stock

*bisa dilakukan saat document

status draft dan submit. Ketika

sudah Active sudah tidak bisa di
edit

*Mengirim email kepada approver

*saat sumbit kan sudah allocate
stock maka ketika di cancel, stock
yang terallocate akan balik ke
available

StartDate EndDate DocType DocStatus Description
20160101 994991231 SORD 10 Cancel
20160101 99991231 SORD 7 Draft
20160101 99991231 SORD 8 Submit
20160101 99991231 SORD 9 Active
Terima kasih
History

#1 - 10/10/2024 10:44 AM - Kezia Pawitra Yulianti
- Due date set to 10/16/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

ini untuk task penambahan button untuk approver aja yaa...bukan yg update status document jadinya

Tks

#2 -10/11/2024 11:11 AM - jihad ....
- File clipboard-202410111107-fow7c.png added

Mas Shofwan ada beberapa catatan dan tambahan,

1. Tadi testing yang otorisasi yang bisa ganti flag yes no masih tidak bekerja

Information x

- \ You Cannot Change the Approved Flag

Sebelumnya aku user id aku tidak nempel dengan employeeid yang ada di atas dan pas aku mau ganti tidak bisa (itu kan benar ya)
tetapi aku ganti user id aku sama dengan employeeid yang ada di sequence 1 tapi tetap tidak bisa mas
2. Sudah aku buat appove date yang ketika flag tersebut dignti dan di save auto terisi tanggal pada user tersebut save
karena aku sudah coba setting lewat sdatatablefield tidak bisa autoload fnnowdate kalau dari autoload approvernya lewat parameter

Terima kasih

#3 - 10/14/2024 06:06 PM - shofwan shiddiq
- File clipboard-202410141804-zal1n.png added

= MyWorkplace  Financial Accounting  Human Resource  Logistic & Service  System Administration Search Q. Help I nando -

Frocess IU:
@L KIL Plastic Indoresi* 00020904

Process Status:
Open

I My Workplace

@ Financial Accounting Document Detail

@ Human Resource

ocation Term of Payment Other Cost Form Permintaan Sample
W Master Data
Approver Sequence ApproverID  Approver Flag Notes  Approve Date
11 18041800 Yes 14/10/2024
SRy 2| 2 15120001 No

Sales Inquiry Draft
Price Quotation

Price Quotation Draft

Sales Order Draft
Delivery Order Draft
M Sales Report
B Purchasing
@ Inventory Document
M Production Management
B Asset Management

W Reporting Total Item: 2

28 G

1. Saat approve nya Yes, sudah di update supaya ApproveDate terisi Today, dan apabila di balikin No, maka approved nya jadi kehapus
UPDATE:
Trigger: AfterinsertPTRSALESDOCAPPROVER di table PTRSALESDOCAPPROVER

ALTER TRIGGER AfterinsertPTRSALESDOCAPPROVER

ON PTRSALESDOCAPPROVER

AFTER INSERT, UPDATE

AS

BEGIN

-- Update ApproveDate based on ApprovedFlag value

UPDATE PTRSALESDOCAPPROVER

SET ApproveDate = CASE

WHEN i.ApprovedFlag = 2 THEN CONVERT, GETDATE, 112) -- Format: yyyyMMdd
WHEN i.ApprovedFlag = 1 THEN NULL

ELSE i.ApproveDate -- Retain the current value for other flags

END

FROM PTRSALESDOCAPPROVER p

INNER JOIN inserted i ON p.DocNo = i.DocNo AND p.DocltemID = i.DocltemID
WHERE i.ApprovedFlag IN (1, 2); -- Only check for ApprovedFlag values 1 or 2
END;

2. Untuk validasi approve, pastikan user login sama dengan user yang ada di ApproverlD
#4 - 10/14/2024 06:07 PM - shofwan shiddiq

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

#5 - 10/17/2024 10:13 AM - jihad ....
- File clipboard-202410171013-vjefo.png added
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to shofwan shiddiq

Mas Shofwan,
Ini masih tidak bisa mas approve walaupun aku sudah pake user yang sama dengan approver

Information 4

. i \ You Cannot Change the Approved Flag

#6 - 10/17/2024 11:39 AM - shofwan shiddiq
- File clipboard-202410171138-00oygl.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....
<« Cc A\ Notsecure  remote.minovais.com

= MyWorkplace  Financial Accounting ~ Human Resource  Logistic & Service  System Administration Search Q. Help I
Process IL: P
@l KJL Plastic Indonesi~ 00021612
Process Status:
Open

My Workplace

Financial Accounting DoctimentiDatall

Human Resource

tion Term of Payment Other Cost Form Permintaan Sample

© Add | [i] Delete

Master Data
Approver Sequence  Approver ID  Approver Flag Notes ApproveD...
11 18041800 ‘ ND |

Sales Inquiry P 15120001

No
Sales Inquiry Draft

Yes
Price Quotation

Price Quotation Draft

Sales Order Draft
Delivery Order Draft

M Sales Report
Purchasing
Inventory Document
Production Management
Asset Management

Reporting Total Item: 2

3 EX G

11:38 AM
10/17/2024 =

Q Search e O : } E ~A G B D) D

kalo approver ID sama, ini bisa di ubah combo nya. boleh di info skenario lengkap nya had, doc no, emp id login nya yang ngga bisa

#7 - 10/17/2024 01:25 PM - jihad ....
- File clipboard-202410171321-nuzb8.png added
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to shofwan shiddiq

Aku coba test pake user nando isi employeenya bu eka (18041800)
Edit User - nando - nando

User Mame: nando Full Mame: nando
Format Name: nando Is Active: 1
Employee 1D: 18041800 Lock: 0
User Type: HR
Master Data 1 General Data
General Data c D
ompan :
Logon pany PT. KJL Plastic Indor
Roles Full Name:
nando
Personalization
Profile Format Name: nando
Photo
Employee ID: i )
Password | 8041800 )

dan aku coba di SO dengan doc No 00000256

untuk skenarionya aku coba create document seperti biasa mengisi header, sales item, dan add approver kemudian aku save dengan status submit
untuk case lainnya aku coba open document dan add approver langsung ganti status sebelum di save

#8 - 11/04/2024 11:15 AM - shofwan shiddiq

- File clipboard-202411041112-3yv6f.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to jihad ....

v ® (1436)R X Minova ES X Minova ES X Feature#= X & Kezia Pav X @ (173)Wha X @ MinovaES| X 1 Inbox (8 X Minova E€ X @ ChatGPT

<« C A\ Notsecure  remote.minovais.com

= MyWorkplace  Financial Accounting  Human Resource  Logistic & Service  System Administration Search Q Hep B nando -

@W KL Plastc Indones Document Item

Reference:

I My Workplace
Process ID:

N . 00021612
B Financial Accounting

Process Status:
B Human Resource Open

Document Detail
B Master Data

Alosation Term of Payment otherCost Form Permintaan Sample
Sales Inquiry

Sales Inquiry Draft

Approver Sequence  Approver ID  ApproverFlag Notes Approve D...

Price Quotation e

11 18041800 ‘ Yes ‘ 04/11/2024

Price Quotation Draft -
2 2 15120001 No

Sales Order Draft Yes
Delivery Order Draft
W Sales Report
8 Purchasing
B Inventory Document
B Production Management
B Asset Management

W Reporting

M8 System Administration

Total Item: 2

EZE G

11112 AM
11/4/2024 =

Q Search L g ) S ! ~ G B D
1. untuk Sales Order Doc No 00000256 menggunakan user Nando, apabila di klik bisa di ubah combo nya dan auto isi Approve Date.
2. untuk case 2 ganti status, status itu apa ya maksud nya? Approver Flag nya? bukan nya approve id itu auto load dari master data ya. jadi tidak bisa
di tambahkan / ganti. melalui menu Ul hanya bisa ganti flag saja ( kalau user id nya sesuai )

#9 - 11/04/2024 03:46 PM - Muhammad Bintar
- File clipboard-202411041546-h9jky.png added
- Status changed from QA Test to Closed

- Assignee changed from jihad .... to shofwan shiddiq

sudah di deploy ke production di cloud..

I.‘/T SQLCuery3.sql - 103.1533.60.89.MinovaES_KJL_Prod (sa {104))* - Microsoft SOL Server Management Studio (Administrator)
Database Snapshots
@ MinovaDataES MinovalS AP
i MinovaES_Aceh_Dev
W MinovaES_ALFALAH
B MinovaES_Arita_Prod
i MinovaES_BIA_Archieve
W MinovaES BIA Prod
@ MinovaES_Demo
W MinovaES_DEMO_ERP
@ MinovaES_DEMO_FNE
i MinovaES_DEMO_Manufacture
@ MinovaES DEMO Retail
i MinovaES_Easy
W MinovaES Easy Dev
@ MinovaES_InnoDev
= i MinovaES_KIL_Prod
Database Diagrams
£ 1 Tables (filtered)
Systemn Tables
FileTables
External Tables
Graph Tables
Columns
Keys
Constraints
Triggers
[3] AfterlnsertP TRSALESDOCAPPROVER
Indexes
Statistics
Quick Launch (Ctrl+Q) P - & x

|9 -¢ -8 -|#f|mas - | WA & - @ saLHistoy -
| | | | "2 <
SQLQueryl.sgl - rem...lteng_Dev (sa (65))™ -

USE [MinovaES_KIL_Prod] £5
G0 -
Y i Object: Trigger [dbo].[AfterInsertPTRSALESDOCAPPROVER] Script Date: 84/11/2824 15.32.46 *=**** /
SET ANSI_NULLS ON
) i
SET QUOTED_IDENTIFIER ON
GO

-ICREATE TRIGGER [dbo].[AfterInsertPTRSALESDOCAPPROVER]
N [dbo] . [PTRSALESDOCAPPROVER],
AFTER INSERT, UPDATE
AS
—|BEGIN
-- Update ApproveDate based on ApprovedFlag value
= UPDATE PTRSALESDOCAPPROVER

WHFN i _AnnrovedFlas = 1 THFEN 1l

100% = 4

Eﬁ Messages

Commands completed successfully.

Completion time: 2024-11-04T15:35:00.5013867+07:00

100% -

@ Query executed successiully.

(), 112) -- Format: yyyyMiadd

103.153.60.89 (160 RTM)  sa (104) | MinovaES_KJL_Prod | D0:00:00 | O rows
